varying float v_light;

// constant world space lighting position 
// to be used for lighting computations
vec3 c_light_dir = normalize(vec3(1.0, 4.0, 4.0));

void main()
{
	gl_Position = ftransform();
	
	// texture coord is gl_Position for projective texturing
	gl_TexCoord[0] = gl_Position;
	
	// compute per vertex lighting strength
	v_light = 0.5 * max(dot(gl_Normal, c_light_dir), 0.0);
}