varying float v_linear_depth;

vec4 pack_float_to_vec4(const float value)
{
	const vec4 bitSh = vec4(256.0 * 256.0 * 256.0, 256.0 * 256.0, 256.0, 1.0);
	const vec4 bitMsk = vec4(0.0, 1.0 / 256.0, 1.0 / 256.0, 1.0 / 256.0);
	vec4 res = fract(value * bitSh);
	res -= res.xxyz * bitMsk;
	return res;
}

void main()
{
	gl_FragColor = pack_float_to_vec4(v_linear_depth);
	//gl_FragColor = vec4(v_linear_depth, vec3(0.0));
}
