#version 110

varying float v_linear_depth;

void main()
{
	gl_Position = ftransform();
	
	float camera_space_z = dot(gl_ModelViewMatrixTranspose[2], gl_Vertex);
	
	vec4 point_on_far_plane = gl_ProjectionMatrixInverse * vec4(vec2(0.0), vec2(1.0));
	float z_far = point_on_far_plane.z / point_on_far_plane.w;
	
	v_linear_depth = camera_space_z / z_far;
}
